Subject: Re: [ippm] AD review of draft-ietf-ippm-reporting-metrics-07

From: Al Morton <[email-masked]>
Date: Fri, 09 Mar 2012 08:47:15 -0500

Thanks for your careful review and comments, Wes.
These are all good clarifications.

We'll address them ASAP, but possibly after the document submission
deadline on Monday, sorry in advance if it works out that way...

At 12:37 AM 3/9/2012, Wesley Eddy wrote:
>Hi, I've reviewed the reporting metrics document submitted
>for publication and have a few comments on it that should
>be looked at:
>
>1 - in section 2, paragraph 4, the first bullet; it would
>     make later text more clear if this explicitly said that
>     it's the "restricted" version, and I also think we mean
>     to say congestion control rather than flow control, to
>     be more precise.  I would suggest:
>     "[RFC3148] includes restrictions of congestion control
>      and the notion of unique bits delivered"
>
>2 - In figure 1 and 2, I think t_i and q_i should be grouped
>     with parenthesis for clarity, since they should be added
>     together within the summation
>
>3 - I think the notation on the summation in figure 2 could
>     use some help.  I think it would be more clear with an
>     "i=j" on the bottom and "j+(L-1)" on the top, with text
>     saying "where j is the hop number where the loop begins"
>
>4 - I think it should be specifically stated that "TTL" is
>     the packet's initial TTL at the source, in Figure 2.
>
>5 - I think in section 4.3 that it should be acknowledged that
>     the link-layer can (and does) discard frames, resulting in
>     loss at the IP-layer.  Since link-layer checksums often
>     cover more than just headers (like IP's does), errors in
>     transmission may more frequently generate lost packets
>     than errored packets that arrive at the destination.
>
>Other than that, I think this is a pretty good document and is
>ready to go.
>
>--
>Wes Eddy
>MTI Systems